Subject: bug#8857: display-buffer attempt to pop-up frame in batch mode causes "Unknown terminal type" error

From: David Engster <[email-masked]>
Date: Wed, 15 Jun 2011 21:42:28 +0200

martin rudalics writes:
> The problem is that `switch-to-buffer-other-window' has to use "another"
> window.  If it can't pop up a window on the selected frame it tries to
> pop up a new frame :-( As Glenn remarked - you can get the same problem
> by setting `pop-up-frames' to t.  What shall I do?

I'm a bit confused. Yes, Emacs23 shows the same error with pop-up-frames
to 't'. However, if I explicitly set it to 'nil' for Emacs24, I still
get the same error:

--> emacs --batch -Q --eval "(setq pop-up-frames nil)" foo bar baz
Unknown terminal type

If the issue is really just the changed default for `pop-up-frames', I'd
say the default should be again changed to 'graphic-only instead of
'unset.

-David